﻿using AtNetWeb.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AtNetWeb.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {

            int? visitCount = this.Session["visitCount"] as int?;

            if(visitCount == null)
            {
                visitCount = 0;
            }

            visitCount++;
            this.Session["visitCount"] = visitCount;

            ViewBag.VisitCount = visitCount;




            List<Product> products = new List<Product>();
            products.Add(new Product()
            {
                Name = "Auto",
                Price = 2000000
            });
            products.Add(new Product()
            {
                Name = "Kolo",
                Price = 9999
            });

            ViewBag.ProductList = products;

            return View();
        }


        private void EmbedOptions() {
            List<SelectListItem> options = new List<SelectListItem>();
            options.Add(new SelectListItem()
            {
                Text = "dotaz",
                Value = "1"
            });
            options.Add(new SelectListItem()
            {
                Text = "připomínka",
                Value = "2"
            });
            ViewBag.Options = options;
        }

        public ActionResult ContactForm() {
            this.EmbedOptions();

            return View(new ContactForm() {
                Name = "Jan"
            });
        }
        

        [HttpPost]
        public ActionResult ContactForm(ContactForm form)
        {
            this.EmbedOptions();

            if(form.Message == null || form.Message.IndexOf("zakazane slovo") != -1)
            {
                ModelState.AddModelError("Message", "text chyby");
            }


            if (ModelState.IsValid)
            {
                // uložení....
            }

            return View(form);
        }

    }
}